Questions tagged [plugin-jedi-vim]

Using the jedi autocompletion library for Vim

Filter by
Sorted by
Tagged with
0
votes
0answers
10 views

Setting up Jedi Vim for the first time, are there some magic settings needed?

My problem is that I know vim only as well as I absolutely have to, and I think I may have gotten into trouble getting this jedi-vim to work... I use the following arch for my plugins: pathogen ...
0
votes
0answers
17 views

How to entirely disable Jedi completion

I am using Jedi for its Doc-lookup functionality, and only for that: # Jedi-vim: use *K* to get python library keyword definition: https://github.com/davidhalter/jedi-vim Plug 'davidhalter/jedi-vim' ...
1
vote
1answer
34 views

How to execute `zz` command after each Jedi jump to defenition command?

I am using davidhalter/jedi-vim plugin to navigate through Python definitions. If a definition is in the same file, the cursor is placed at the top or bottom of the screen. In these cases I usually ...
2
votes
1answer
426 views

jedi-vim cannot initialize python

I installed jedi-vim with Pathogen. I want it to use my anaconda python which is python 3.6 and not my system python. I have edited my $PATH variable in my .bashrc file to: export PATH="/opt/anaconda/...
1
vote
1answer
338 views

getting vim to autocomplete python methods

I am coming from statically types languages, but I will have to be using python for the next few years and I want to get my setup as smooth as possible. Right now I am using vim-jedi, and deoplete-...
1
vote
0answers
539 views

Windows + Vim + Python2 + Python3 = Path nightmare

I am using Vim 8.0.0326 64-bit from the tuxproject with pathogen. I have 64-bit versions of Python installed in three locations: Python 2.7 (64) - C:\Python27 Python 3.6 (64) - C:\Python36 Conda with ...
12
votes
7answers
13k views

how to change python interpreter used by jedi-vim

I have Anaconda (including python3.5.2), VIM (7.4) and Jedi-VIM installed on my system. There was also a python installed on the linux system by default. The autocompletion is working on base ...
2
votes
1answer
166 views

Imaps automatically removed when in “completion mode”?

I have a strange problem with completion and my cursor movement redefinitions and the excellent jedi-vim plugin with supertab. I have in my .vimrc these maps for vertical movement in visual lines: " ...
1
vote
0answers
563 views

How to use external python modules with NeoComplete?

After trying out many auto-completion engines for Vim, NeoComplete combined with Jedi seems like a good choice for python development. However, I can't get it to use external libraries like PySide (Qt ...
4
votes
2answers
2k views

Can't get Jedi's autocompletion on SuperTab

I installed both plugins using Pathogen, but they don't work together as it should be. That is, if I use TAB, I get SuperTab's completion (autocomplete what I have previously written) whereas if I use ...
0
votes
1answer
1k views

Supertab or Jedi for Python Autocompletion

I'm trying to add a good Tab autocompletion plugin for VIM and I've found Jedi, but on its docs it says to use Supertab. I don't understand the difference between the two. I'm writing Python and I ...
1
vote
1answer
356 views

jedi-vim and vim-latex buffers problems?

I have posted an issue on github, but I am asking here too to see if someone can point me to an answer... I have installed jedi-vim and I find it really nice to edit python files. But I came across a ...
4
votes
0answers
256 views

Why does the vim-jedi popup have weird line wrapping?

When I'm nearing the right-hand side of my vim window, the vim-jedi's pop has some weird line-wrapping behavior: Is this normal behavior? How can I get the popup window to be shifted leftwards and ...
2
votes
1answer
3k views

vim doesn't find jedi, even though it's right there!

I have installed jedi-vim using Vundle, adding this line to my .vimrc and running :PluginInstall. Plugin 'davidhalter/jedi-vim' The jedi-vim docs say I can install jedi using git submodule update --...